#include "./ngcft1.hpp"

NGCFT1::NGCFT1(
	ToxEventProviderI& tep,
	NGCEXTEventProviderI& neep
) : _tep(tep), _neep(neep)
{
	_neep.subscribe(this, NGCEXT_Event::FT1_REQUEST);
	_neep.subscribe(this, NGCEXT_Event::FT1_INIT);
	_neep.subscribe(this, NGCEXT_Event::FT1_INIT_ACK);
	_neep.subscribe(this, NGCEXT_Event::FT1_DATA);
	_neep.subscribe(this, NGCEXT_Event::FT1_DATA_ACK);
}

void NGCFT1::iterate(float delta) {
}

void NGCFT1::NGC_FT1_send_request_private(
	uint32_t group_number, uint32_t peer_number,
	uint32_t file_kind,
	const uint8_t* file_id, size_t file_id_size
) {
}

bool NGCFT1::NGC_FT1_send_init_private(
	uint32_t group_number, uint32_t peer_number,
	uint32_t file_kind,
	const uint8_t* file_id, size_t file_id_size,
	size_t file_size,
	uint8_t* transfer_id
) {
	return false;
}

bool NGCFT1::onEvent(const Events::NGCEXT_ft1_request&) {
	return false;
}

bool NGCFT1::onEvent(const Events::NGCEXT_ft1_init&) {
	return false;
}

bool NGCFT1::onEvent(const Events::NGCEXT_ft1_init_ack&) {
	return false;
}

bool NGCFT1::onEvent(const Events::NGCEXT_ft1_data&) {
	return false;
}

bool NGCFT1::onEvent(const Events::NGCEXT_ft1_data_ack&) {
	return false;
}

